List bulk shipping addresses
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "507f1f77bcf86cd799439011",
"line1": "123 Main Street",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555",
"isDefault": true,
"line2": "Suite 4"
}
]
}Cards
List bulk shipping addresses
Returns receiving addresses for bulk physical card shipments. Pass a record id as bulkShippingGroupId when issuing physical cards.
GET
/
api
/
v1
/
cards
/
bulk-shipping-addresses
List bulk shipping addresses
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "507f1f77bcf86cd799439011",
"line1": "123 Main Street",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555",
"isDefault": true,
"line2": "Suite 4"
}
]
}